<div class="gateway-pattern">
  <h4 class="group-header">{{gPattern.pattern_name}}</h4>
  <section>
    <md-list>
      <md-list-item>
        <!--<img class="icon" src="assets/images/imgNone.png">-->
        <i class="secual-icon icon icon-pattern secual-primary-color"></i>
        <div class="title">
          <span ng-hide="gPattern.editPatternName" class="label-editable">{{gPattern.pattern.name}}</span>
          <input type="text" class="editable" ng-model="gPattern.pattern.name" ng-show="gPattern.editPatternName">
        </div>
        <span class="accessory-icon" ng-click="gPattern.editPatternName = true" ng-hide="gPattern.editPatternName">
          <i class="icon-edit"></i>
        </span>
        <span class="accessory-icon" ng-click="gPattern.savePattern(); gPattern.editPatternName = false" ng-show="gPattern.editPatternName && !gPattern.newPattern">
          <i class="icon-check"></i>
        </span>
         <span class="accessory-icon" ng-click="gPattern.createPattern(); gPattern.editPatternName = false" ng-show="gPattern.editPatternName && gPattern.newPattern">
          <i class="icon-check"></i>
        </span>
        <span class="accessory-icon" ng-click="gPattern.editPatternName = false" ng-show="gPattern.editPatternName">
          <i class="icon-close"></i>
        </span>
      </md-list-item>
    </md-list>
  </section>

  <h4 class="group-header">{{gPattern.LOCK_PATTERN}}</h4>
  <section>

      <ul class="lock-patterns-list list-unstyled lp-gateway" ng-repeat="gateway in gPattern.pattern_locks">
        <li class="gateway-toggle secual-list-devider" ng-init="gPattern.gatewayStatus_[$index] = gPattern.checkAllLocked($index, gateway.sensors)">
          <i class="secual-icon icon icon-gateway secual-primary-color"></i>
          <span class="title">{{gateway.name}}</span>
          <md-switch md-no-ink ng-model="gPattern.gatewayStatus_[$index]" ng-change="gPattern.toggleSelectAll(gPattern.gatewayStatus_[$index], gateway.sensors)"></md-switch>
        </li>
        <ul class="gateway-sensors list-unstyled">
          <li ng-repeat="sensor in gateway.sensors" class="gateway-toggle secual-list-devider">
            <i class="secual-icon icon icon-sensor secual-primary-color"></i>
            <span class="title">{{sensor.sensorname}}</span>
            <md-switch md-no-ink ng-model="sensor.lock" ng-change="gPattern.updateSensorLock(sensor.id, sensor.lock)"></md-switch>
          </li>
        </ul>
      </ul>


  </section>
  <div class="secual-explanation-text-wrapper container">
   <p class="secual-explanation-text">{{gPattern.preset_pattern_edit_window}}</p>
</div>
    <md-button class="secual-button secual-button-wrapper delete-user-button md-warn bordered-button center-block"
               ng-if="!gPattern.newPattern"
               ng-click="gPattern.deletePattern()">
      {{gPattern.delete_lock_pattern}}
    </md-button>
</div>
